# $Id: //depot/ops/corp/grhat/tree/etc/profile.d/_fixprofile.sh#11 $
pathmunge () {
	if ! echo $PATH | /bin/egrep -q "(^|:)$1($|:)" ; then
	   if [ "$2" = "after" ] ; then
	      PATH=$PATH:$1
	   else
	      PATH=$1:$PATH
	   fi
	fi
}
 
# We want core files
# Actually, no, too many RH progs dump cores, sometimes huge ones
#ulimit -S -c unlimited > /dev/null 2>&1

# Prog env variables
# Par(1)
PARINIT='rTbgqR B=.?_A_a Q=_s>|:'
# CVS/RSYNC over ssh
CVS_RSH=ssh
RSYNC_RSH=ssh
PYTHONPATH=/home/build/google/setup

# color grep
# breaks on gnome-terminal, don't ask me why -- Marc
#GREP_COLOR="[1;32"
GREP_OPTIONS="--colour=auto"

# For mc and some others
if [ z"$COLORTERM" = z -o z"$TERM" = zscreen -o z"$TERM" = zxterm -o z"$TERM" = zcolor-xterm -o z"$TERM" = zkterm -o z"$TERM" = zlinux ]; then
        COLORTERM=xterm
fi

# without this, EDITOR defaults to vi, which sucks
[ -z "$EDITOR" -o z"$EDITOR" = zvi ] && EDITOR=vim

export PARINIT CVS_RSH RSYNC_RSH EDITOR COLORTERM GREP_COLOR GREP_OPTIONS
export PYTHONPATH

# Sbin for all, it's useful to users too sometimes (mtr/traceroute...)
pathmunge /sbin
pathmunge /usr/sbin
pathmunge /usr/local/sbin
pathmunge /usr/local/scripts

if [ `id -u` -ge 500 ]; then
    # Google goodies. Last in the path since they contain outdated RH6.2
    # binaries (this is for users only, not system accounts)
    # Actually, we will try to make a usable system with pubsw -- Marc
    # pathmunge /usr/pubsw/sbin after
    # pathmunge /usr/pubsw/bin after
    :
fi

unset MAIL MAILCHECK
